Name:          zulucrypt
Version:       7.0.0
Release:       1mamba
Summary:       A tool for managing encrypted directories and volumes
Group:         Graphical Desktop/Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           https://mhogomchungu.github.io/zuluCrypt/
Source:        https://github.com/mhogomchungu/zuluCrypt.git/%{version}/zuluCrypt-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblkid-devel
BuildRequires: libcryptsetup-devel
BuildRequires: libdevmapper-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libknotifications-devel
BuildRequires: libkwallet-devel
BuildRequires: libpwquality-devel
BuildRequires: libsecret-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuuid-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
zuluCrypt does hard drives encryption and it can manage plain dm-crypt volumes,LUKS encrypted volumes,TrueCrypt encrypted volumes and VeraCrypt encrypted volumes.
zuluCrypt can manage encrypted volumes that are hosted in image files,in lvm volumes,in mdraid volumes as well as in hard drives and usb sticks.
zuluCrypt can also encrypt stand alone files(zuluCrypt menu->zC->encrypt a file).
zuluMount-gui can also be used as a frontend to encfs.. Just drag and drop encfs encrypted folder on zuluMount-gui to unlock it.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n zuluCrypt-%{version}

%build
%cmake -d build \
 -DLIB_SUFFIX=%{_lib}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/zuluCrypt-*
%{_bindir}/zuluPolkit
%{_bindir}/zuluMount-*
%{_bindir}/zuluSafe-cli
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/zuluCrypt.xml
%{_datadir}/polkit-1/actions/org.zulucrypt.zulupolkit.policy
%dir %{_datadir}/zuluCrypt/translations
%dir %{_datadir}/zuluCrypt/translations/zuluCrypt-gui
%lang(ar) %{_datadir}/zuluCrypt/translations/zuluCrypt-gui/ar_SA.qm
%lang(de) %{_datadir}/zuluCrypt/translations/zuluCrypt-gui/de_DE.qm
%{_datadir}/zuluCrypt/translations/zuluCrypt-gui/en_US.qm
%lang(fr) %{_datadir}/zuluCrypt/translations/zuluCrypt-gui/fr_FR.qm
%dir %{_datadir}/zuluCrypt/translations/zuluMount-gui
%lang(ar) %{_datadir}/zuluCrypt/translations/zuluMount-gui/ar_SA.qm
%lang(de) %{_datadir}/zuluCrypt/translations/zuluMount-gui/de_DE.qm
%{_datadir}/zuluCrypt/translations/zuluMount-gui/en_US.qm
%lang(fr) %{_datadir}/zuluCrypt/translations/zuluMount-gui/fr_FR.qm
%{_datadir}/icons/zuluCrypt.png
%{_datadir}/icons/zuluMount.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_mandir}/man1/*.1.gz
%{_datadir}/pixmaps/*.png
%dir %{_docdir}/zuluCrypt
%{_docdir}/zuluCrypt/zuluCrypt.pdf

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libzuluCrypt-exe.so.*
%{_libdir}/libzuluCrypt.so.*
%{_libdir}/libzuluCryptPluginManager.so.*
%dir %{_libdir}/zuluCrypt
%{_libdir}/zuluCrypt/*
%doc COPYING LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/zuluCrypt
%{_includedir}/zuluCrypt/libzuluCrypt*.h
%{_libdir}/libzuluCrypt-exe.so
%{_libdir}/libzuluCrypt.so
%{_libdir}/libzuluCryptPluginManager.so
%{_libdir}/pkgconfig/libzuluCrypt.pc

%changelog
* Thu Aug 22 2024 Automatic Build System <autodist@openmamba.org> 7.0.0-1mamba
- automatic version update by autodist

* Tue Jun 21 2022 Automatic Build System <autodist@mambasoft.it> 6.2.0-1mamba
- automatic version update by autodist

* Tue May 24 2022 Automatic Build System <autodist@mambasoft.it> 6.1.0-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 6.0.0-1mamba
- automatic version update by autodist

* Wed Sep 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.7.1-1mamba
- update to 5.7.1

* Wed Jan 06 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.0-2mamba
- fix cmake command which was hardcoded for x86_64
- build requirements were missing

* Tue Jan 05 2016 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 4.8.0-1mamba
- package created using the webbuild interface
